ExpiresActive On
ExpiresDefault A31536000
ExpiresByType text/html A600
ExpiresByType text/javascript A2592000
ExpiresByType application/javascript A2592000

Options +MultiViews -Indexes
ErrorDocument 404 /404.html

RewriteEngine On
RewriteBase /

# legacy redirects (for deleted stuff)
RewriteRule ^blog-(.*)$ "https://ellpeck.de/blog/$1" [R=301,L]
RewriteRule ^minecraft-stuff/?$ "https://ellpeck.de/projects" [R=301,L]
RewriteRule ^mc/?$ "https://ellpeck.de/projects" [R=301,L]
RewriteRule ^press/?(.*)$ "https://press.ellpeck.de/$1" [R=301,L]
RewriteRule ^tinylife/?$ "https://tinylifegame.com" [R=301,L]
RewriteRule ^foefrenzy/?$ "https://store.steampowered.com/app/1194170/" [R=301,L]

# anchor redirects
RewriteRule ^projects/?$ "https://ellpeck.de/#projects" [R=301,L,NE]
RewriteRule ^blog/?$ "https://ellpeck.de/#blog" [R=301,L,NE]

# actually additions redirects
RewriteRule ^actaddchangelog/?$ "https://github.com/Ellpeck/ActuallyAdditions/blob/main/update/changelog.md" [R=301,L]
RewriteRule ^actadddownload/?$ "https://www.curseforge.com/minecraft/mc-mods/actually-additions/files" [R=301,L]
RewriteRule ^actaddlicense/?$ "https://github.com/Ellpeck/ActuallyAdditions/blob/main/LICENSE" [R=301,L]
RewriteRule ^actadd/?$ "https://www.curseforge.com/minecraft/mc-mods/actually-additions" [R=301,L]

# other permanent redirects
RewriteRule ^discord/?$ "https://discord.gg/Uy2ZM9X" [R=301,L]
RewriteRule ^wishlist/?$ "https://www.amazon.de/hz/wishlist/ls/LZO9Y2Z3VJ5Q?&sort=default" [R=301,L,NE]
RewriteRule ^reedsy/?$ "https://blog.reedsy.com/creative-writing-prompts/author/ell-peck/" [R=301,L]
RewriteRule ^sims4gallery/?$ "https://www.ea.com/games/the-sims/the-sims-4/pc/gallery/browse?category=all&searchtype=ea_origin_id&time=all&searchquery=Ellpeck&maxis=false" [R=301,L,NE]